package simFil;
/* ForceArrow.. show me the force */

/*  <SimFil - simulation of cytoskeletal filament flexibility by Pairwise Agent Interaction with Rational Superposition (PAIRS)>
    Copyright (C) <2008>  <Jonathan B. Alberts>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import javax.media.j3d.Appearance;
import javax.media.j3d.Material;
import javax.media.j3d.TransparencyAttributes;
import javax.vecmath.*;
import javax.media.j3d.*;
import com.sun.j3d.utils.geometry.Cone;
import com.sun.j3d.utils.geometry.Cylinder;

public class ForceArrow_ {

	Transform3D coneT3D,cylT3D;
	TransformGroup coneTG,cylTG;
	BranchGroup arrowBG;
	Cone fCone;
	Cylinder fCyl;
	
	public ForceArrow_ () {
		makeGraphics();
	}
	
	
	public void makeGraphics() {
		Appearance arrowApp = new Appearance();
		Color3f ambientC = new Color3f(0.0f,1.0f,0.0f);
		Color3f diffuseC = new Color3f(1.0f,0.0f,0.0f);
		Color3f specularC = new Color3f(1.0f,1.0f,1.0f);
		Color3f emissiveC = new Color3f(0.0f,0.0f,1.0f);
		Material arrowMat = new Material(ambientC,emissiveC,diffuseC,specularC,128);
		Appearance aCyl = new Appearance();
		TransparencyAttributes tA = new TransparencyAttributes ();
		tA.setTransparency(0.6f);
		arrowApp.setTransparencyAttributes(tA);
		arrowApp.setMaterial(arrowMat);
		fCone = new Cone(0.01f,0.01f,arrowApp);
		fCyl = new Cylinder(0.01f,0.01f,arrowApp);
		
		
	}
	
}
